import React from 'react';
import { StyleSheet, Text, View, Button } from 'react-native';
import { ColorPicker } from './ColorPicker';
import tinycolor from 'tinycolor2';

export default class App extends React.Component {
  state = {
    // Controlled or not, support both?
    modalVisible: true
  };

  render() {
    return (
      <View style={styles.container}>
        <Button
          onPress={() => this.setState({ modalVisible: true })}
          title="Open the picker 😄"
          color="#ff1654"
          accessibilityLabel="Open the color picker"
        />
        <ColorPicker
          visible={this.state.modalVisible}
          onRequestClose={() => this.setState({ modalVisible: false })}
          swatches={[
            '#247ba0',
            '#70c1b3',
            '#b2dbbf',
            '#f3ffbd',
            '#ff1654'
          ]}
        />
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center'
  }
});
