import { Platform } from 'react-native';
// https://material.io/guidelines/style/typography.html
// https://developer.apple.com/ios/human-interface-guidelines/visual-design/typography/

const iosWeight = {
  thin: '100',
  ultralight: '200',
  light: '300',
  regular: '400',
  medium: '500',
  semibold: '600',
  bold: '700',
  heavy: '800',
  black: '900'
};

export default {
  logo: {
    fontSize: 56,
    lineHeight: 68,
    ...Platform.select({
      android: {
        fontFamily: 'sans-serif-light'
      },
      ios: {
        fontWeight: iosWeight.light
      }
    })
  },
  title0Em: {
    lineHeight: 41,
    fontSize: 34,
    ...Platform.select({
      android: {
        fontFamily: 'sans-serif-bold'
      },
      ios: {
        fontWeight: iosWeight.bold,
        letterSpacing: 0.41
      }
    })
  },
  title3: {
    lineHeight: 24,
    fontSize: 20,
    ...Platform.select({
      android: {
        fontFamily: 'sans-serif'
      },
      ios: {
        fontWeight: iosWeight.regular,
        letterSpacing: 0.38
      }
    })
  },
  title3Em: {
    lineHeight: 24,
    fontSize: 20,
    ...Platform.select({
      android: {
        fontFamily: 'sans-serif-medium'
      },
      ios: {
        fontWeight: iosWeight.semibold,
        letterSpacing: 0.75
      }
    })
  },
  body: {
    lineHeight: 22,
    fontSize: 17,
    ...Platform.select({
      android: {
        fontFamily: 'sans-serif'
      },
      ios: {
        fontWeight: iosWeight.regular,
        letterSpacing: -0.41
      }
    })
  },
  bodyEm: {
    lineHeight: 22,
    fontSize: 17,
    ...Platform.select({
      android: {
        fontFamily: 'sans-serif-medium'
      },
      ios: {
        fontWeight: iosWeight.semibold,
        letterSpacing: -0.41
      }
    })
  },
  subhead: {
    lineHeight: 20,
    fontSize: 15,
    ...Platform.select({
      android: {
        fontFamily: 'sans-serif'
      },
      ios: {
        fontWeight: iosWeight.regular,
        letterSpacing: -0.24
      }
    })
  },
  footnote: {
    lineHeight: 18,
    fontSize: 13,
    ...Platform.select({
      android: {
        fontFamily: 'sans-serif'
      },
      ios: {
        fontWeight: iosWeight.regular,
        letterSpacing: -0.08
      }
    })
  }
};
